Arch Barra de Refuerzo Helicoidal

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar Helical and the translation is 23% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Arch Rebar Helical.png Arch Rebar Helical

Ubicación del menú
Arch → Rebar tools
Bancos de trabajo
Arch
Acceso directo
None
Ver también
Arch Rebar
 
Este comando es parte del Reinforcement AddOn, que puedes instalar a través del menú Tools → Addons Manager


Descripción

La herramienta Arch Rebar Helical.png Helical Rebar permite al usuario crear una barra de refuerzo helicoidal en el elemento estructural.

This command is part of the Reinforcement Addon, that you can install with the Addon Manager, via the menu Tools → Addon manager → Reinforcement.

Arch Rebar Helical example.png

HelicalRebar.png

Como utilizar

  1. Crear un elemento structure
  2. Seleccione cualquier cara de la estructura
  3. A continuación, seleccione Arch Rebar Helical.png Helical Rebar desde las herramientas de la barra de refuerzo
  4. Aparecerá un panel de tareas en el lado izquierdo de la pantalla como se muestra a continuación HelicalRebarDialog.png
  5. Seleccione la orientación deseada
  6. Proporcione las entradas como la cubierta frontal, la cubierta lateral derecha, la cubierta lateral izquierda, la cubierta inferior y el diámetro de la barra de refuerzo
  7. Seleccione el modo de distribución, ya sea cantidad o espaciado
  8. Si se selecciona el espaciado, un usuario también puede optar por espaciado personalizado
  9. La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
  10. Haga clic en OK o Apply para generar las barras de refuerzo
  11. Haga clic en Cancel para salir del panel de tareas

HelicalRebarDialog.png

Taskview panel for the Arch Rebar Helical tool


Propiedades

  • DATOSSide Cover: la distancia entre las barras de refuerzo a la cara curva.
  • DATOSTop Cover: la distancia entre barras de refuerzo desde la cara superior de la estructura.
  • DATOSBottom Cover: la distancia entre las barras de refuerzo desde la cara inferior de la estructura.
  • DATOSPitch: el pitch de una hélice es la altura de un giro completo de hélice, medido en paralelo al eje de la hélice.
  • DATOSDiameter: Diámetro de la barra de refuerzo.

Programación

La herramienta Arch Rebar Helical.png Helical Rebar puede utilizarse en macros y desde la consola de python utilizando la siguiente función:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Agrega un objeto de barra de refuerzo recto al objeto estructural dado.
  • Si no se proporciona Estructura y nombre de cara, tomará la cara seleccionada por el usuario como entrada.
  • Aquí el argumento de CoverAlong es del tipo tupla.
  • Devuelve el nuevo objeto de refuerzo.

Example

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Edition of the rebar

You can change the properties of the rebar with the following function

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar is a previously created HelicalRebar object.
  • The other parameters are the same as required by the makeHelicalRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)